Ubuntu

Rate converter plugin missed in binary package

Reported by Igor Goldenberg on 2006-08-21
12
Affects Status Importance Assigned to Milestone
alsa-plugins (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: libasound2-plugins

Alsa-plugins starting version 1.0.11 contains rate plugin (which required libsamplerate) to make high quality resampling to 48 kHz (base frequency to dmix plug). But ubuntu source package alsa-plugins not depends on libsamplerate0-dev and (if this package was installed) after building copying only jack plugin from build tree.
Rate converter plugin can greatly increase quality of resampling compare to default linear method and therefore must be build and packed (maybe in an own package) by default.

Marc Brooker (marcbrooker) wrote :

This plugin is extremely useful when setting ALSA up for high-quality playback. Such playback might be required by audio professionals, home studio users and those interested in using their computer as a HiFi source. The default resampling algorithm in ALSA 1.0.x is optimised for speed and does not offer sufficient quality for many PC sound applications.

Including this plugin in the Ubuntu libasound2-plugins package would make it much easier for Ubuntu users to extract maximum sound quality from their PCs.

Changed in alsa-plugins:
status: Unconfirmed → Confirmed
Igor Goldenberg (igold) wrote :

Good synthetic sample to test quality of resampling. If you hear noise after third tone the resampling is not so good as it can be.
It's need to have soundcard w/o 44100 Hz native support, like many Creative game cards or some integrated. If after "aplay -D hw:0 udial.wav" you get warning about 44100 and 48000 Hz - you card can't play 44.1kHz directly. But in this case you can hear as the sample must sounds (except it will sound a bit quicker and higher).

Tobias Wolf (towolf) wrote :

I can hear some higher freq pulsating sounds above the DTMF tones when played with "aplay -D hw:0 udial.wav".
I’m gonna build the Alsa plugin and see whether the better SRC helps

Tobias Wolf (towolf) wrote :

Seems I didn’t get the point earlier, but now ...

I hear minor pulsating artifacts with hw:0. Apparently a poor SRC on the card itself.
I hear severe siren-like artifacts with plain "aplay udial.wav".
I hear no artifacts with »converter "samplerate"« in .asoundrc
I hear major noise artifacts with »converter "samplerate_best"«

Daniel T Chen (crimsun) wrote :

Have you tried alsa-plugins 1.0.14 from upstream? What is the status regarding the quality of the converters?

Changed in alsa-plugins:
importance: Undecided → Wishlist
status: Confirmed → Needs Info
Daniel T Chen (crimsun) on 2007-06-12
Changed in alsa-plugins:
status: Needs Info → Fix Committed
Daniel T Chen (crimsun) wrote :

alsa-plugins (1.0.14-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Don't build-depend on JACK, as it's in universe. Clarify and
        update the Description to note the above restriction and
        {in,ex}clusion of newer plugins (LP: #57089),
      + Adhere to DebianMaintainerField.

alsa-plugins (1.0.14-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Prepared to use quilt as the patch manager.

  [ Jordi Mallach ]
  * debian/control: build-depend on libavcodec-dev, to enable the a52
    plugin (closes: #407428).

alsa-plugins (1.0.14~rc4-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Changed Build-Depends from libjack0.100-dev to libjack-dev as the headers
    are really in libjack-dev.
  * Removed 01_hgnew.patch: Done upstream.

  [ Jordi Mallach ]
  * debian/control: add XS-Vcs-Svn and XS-Vcs-Browser headers.

alsa-plugins (1.0.14~rc3-2) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Updated to latest mercurial version via 01_hgnew.dpatch as some files were
    missing. It is still 1.0.14rc3. Removed the stolen gcd.h ;)

alsa-plugins (1.0.14~rc3-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Added missing gcd.h. Stolen from gnulibs which installs the libs not in
    include.

alsa-plugins (1.0.14~rc1a-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Added arch armel to libasound2-plugins. (closes: #408771)

 -- Daniel T Chen <email address hidden> Tue, 12 Jun 2007 19:03:08 -0400

Changed in alsa-plugins:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers